/*
 * ExNihilo 3D Engine
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Please read AUTHORS file !!!
 * 
 * $Id: ExManagerGizmo.cpp,v 1.9 2002/09/22 15:54:03 data Exp $
 *
 */

#include "ExManagerGizmo.h"

bool ExManagerGizmo::m_flag = false; 
ExManagerGizmo* ExManagerGizmo::m_instance = NULL; 

ExManagerGizmo* ExManagerGizmo::CreateSingleton(void){
Guard(ExManagerGizmo* ExManagerGizmo::CreateSingleton(void))
	if(!m_flag)
	{
		m_flag = true; // We are creating the error log now, so set flag to true
		m_instance = new ExManagerGizmo; // Create the error log
	}else
	{
		std::cout<<"Error singleton already created"<<std::endl;
	}
	return m_instance; 
UnGuard
}

ExManagerGizmo::ExManagerGizmo(void)
{
Guard(ExManagerGizmo::ExManagerGizmo(void))
UnGuard
}


ExManagerGizmo::~ExManagerGizmo(void)
{
Guard(ExManagerGizmo::~ExManagerGizmo(void))
UnGuard
}


void  ExManagerGizmo::Reset(void)
{
Guard(void  ExManagerGizmo::Reset(void))
	ExManagerObject<ExCGizmo>::Reset();
UnGuard
}


void  ExManagerGizmo::Init(void)
{
Guard(void  ExManagerGizmo::Init(void))
	ExManagerObject<ExCGizmo>::Init();
UnGuard
}

void  ExManagerGizmo::Draw(void)
{
Guard(void  ExManagerGizmo::Draw(void))
UnGuard
}

